<?php
session_start();

require dirname(__FILE__) . '/../../../wp-config.php';

$cookie_compliance = Cookie_Compliance::initialize();

switch ($_POST['action']) {
    
    case 'cookie_compliance_log' :
            check_ajax_referer( 'cookie-compliance-nonce', 'nonce' );

            global $wpdb;
            $wpdb->insert(
            $wpdb->prefix . 'cookie_compliance_log',
                array(
                    'ip_address' => $_SERVER['REMOTE_ADDR'], 
                    'user_agent' => $_SERVER['HTTP_USER_AGENT'], 
                    'answer' => $_POST['answer']
                )
            );

            die();
        break;
    case 'cookie_compliance_analytics' : 
            //check_ajax_referer( 'cookie-compliance-ga-nonce', 'nonce' );

            require dirname(__FILE__) . '/classes/php-ga/src/autoload.php';

            if ($cookie_compliance->config->getGAType == 'multi_sub' || 
                $cookie_compliance->config->getGAType == 'multi_tld') {
                
                $server = $_SERVER['SERVER_NAME'];
            }
            else {
                $server = $cookie_compliance->config->getGADomain();
            }

            $tracker = new UnitedPrototype\GoogleAnalytics\Tracker($cookie_compliance->config->getGAUACode(), $server);

            // Assemble Visitor information
            // (could also get unserialized from database)
            $visitor = false;
            if (isset($_SESSION['cookie_compliance_visitor'])) {
		  $isnewvisitor = false;
                $visitor = unserialize($_SESSION['cookie_compliance_visitor']);
            }
            else {
		  $isnewvisitor = true;
                $visitor = new UnitedPrototype\GoogleAnalytics\Visitor();
              //  $visitor->setIpAddress($_SERVER['REMOTE_ADDR']);
              //  $visitor->setUserAgent($_SERVER['HTTP_USER_AGENT']);
		  $visitor->fromServerVar($_SERVER);
                $visitor->setScreenResolution('1024x768');
                $visitor->getUniqueId();
                
                $_SESSION['cookie_compliance_visitor'] = serialize($visitor);
            }
            
            // Assemble Session information
            // (could also get unserialized from PHP session)
            if (isset($_SESSION['cookie_compliance_session'])) {
                $session = unserialize($_SESSION['cookie_compliance_session']);
		  $_SESSION['cookie_compliance_session'] = serialize($session);
            }
            else {
                $session = new UnitedPrototype\GoogleAnalytics\Session();
                $_SESSION['cookie_compliance_session'] = serialize($session);
            }
            
            // Assemble Page information
            $page = new UnitedPrototype\GoogleAnalytics\Page($_POST['path']);
            $page->setTitle($_POST['title']);
            if (isset($_POST['ga_referrer']) && !($_POST['ga_referrer'] == '')) $page->setReferrer($_POST['referrer']);

            // Track page view
            $tracker->trackPageview($page, $session, $visitor);
            
            //die('tracked');
        break;
}