var compliance;

function Cookie_Compliance(options) {
    this.options = options;
};

Cookie_Compliance.prototype.enabled = function() {
    var cookieEnabled = (navigator.cookieEnabled) ? true : false;
    if (typeof navigator.cookieEnabled == 'undefined' && ! cookieEnabled)
    { 
        document.cookie = 'testcookie';
        cookieEnabled = (document.cookie.indexOf('testcookie') != -1) ? true : false;
    }
    return cookieEnabled;  
};

Cookie_Compliance.prototype.isAccepted = function() {
    var cookie = this.getCookie(this.options.cookie);
    return cookie == '1';
};

Cookie_Compliance.prototype.check = function() {
    var cookie = this.getCookie(this.options.cookie);
    return (cookie == '0') ? true : ((cookie != null && cookie != '') ? this.setCookie(this.options.cookie, '1', 365) : false);
};

Cookie_Compliance.prototype.notify = function() {
    var message = '<div id="cookie-compliance">'                                                                                        +
    '   <div id="cookie-compliance-overlay">'                                                                                           +
    '       <div>'                                                                                                                      +
    '           ' + this.options.notify + ''                                                                                            +
    '           <p id="cookie-compliance-buttons">'                                                                                     +
    '               <a href="#" id="cookie-compliance-submit" onClick="JavaScript:compliance.setCookie(\''                              + 
                        this.options.cookie + '\', \'1\', 365); compliance.log(\'accept\');">' + this.options.buttons.submit + '</a>'   +
    '               <a href="#" id="cookie-compliance-cancel" onClick="JavaScript:compliance.setCookie(\''                              + 
                        this.options.cookie + '\', \'0\', 365); compliance.log( \'deny\' );">' + this.options.buttons.cancel + '</a>'   +
    '           </p>'                                                                                                                   +
    '       </div>'                                                                                                                     +
    '   </div>'                                                                                                                         +
    '</div>';
    jQuery('body').prepend(message);
};

Cookie_Compliance.prototype.notifybottom = function() {
    var message = '<div id="cookie-compliance-bottom">'                                                                                        +
    '   <div id="cookie-compliance-bottom-overlay">'                                                                                           +
    '       <div>'                                                                                                                      +
    '           ' + this.options.notify + ''                                                                                            +
    '               <a href="#" id="cookie-compliance-submit" onClick="JavaScript:compliance.setCookie(\''                              + 
                        this.options.cookie + '\', \'1\', 365); compliance.log(\'accept\');">' + this.options.buttons.submit + '</a>'   +
    '       </div>'                                                                                                                     +
    '   </div>'                                                                                                                         +
    '</div>';
	jQuery('body').prepend(message);
	jQuery('body').append('<div style="height:45px;width:100%;"></div>');
};

Cookie_Compliance.prototype.notifybottompopup = function() {
    var message = '<div id="cookie-compliance-bottom">'                                                                                        +
    '   <div id="cookie-compliance-bottom-overlay">'                                                                                           +
    '       <div>'                                                                                                                      +
    '           ' + this.options.notify + ''                                                                                            +
    '               <a href="#" id="cookie-compliance-submit" onClick="JavaScript:compliance.setCookie(\''                              + 
                        this.options.cookie + '\', \'1\', 365); compliance.log(\'accept\');">' + this.options.buttons.submit + '</a>'   +
    '               <a href="#" id="cookie-compliance-cancel" onClick="JavaScript:compliance.setCookie(\''                              + 
                        this.options.cookie + '\', \'0\', 365); compliance.log( \'deny\' );">' + this.options.buttons.cancel + '</a>'   +
    '       </div>'                                                                                                                     +
    '   </div>'                                                                                                                         +
    '</div>';
    	jQuery('body').prepend(message);
	jQuery('body').append('<div style="height:45px;width:100%;"></div>');
};

Cookie_Compliance.prototype.getCookie = function(name) {
    var i, x, y, ARRcookies = document.cookie.split(";");
    for (i = 0; i < ARRcookies.length; i++)
    {
        x = ARRcookies[i].substr(0, ARRcookies[i].indexOf("="));
        y = ARRcookies[i].substr(ARRcookies[i].indexOf("=") + 1);
        x = x.replace(/^\s+|\s+$/g, '');
        if (x == name)
        {
            return unescape(y);
        }
    }
};

Cookie_Compliance.prototype.setCookie = function (name, value, expiry) {
	if (value == '0' && compliance.options.default != null && compliance.options.default.nocookie != null && compliance.options.default.nocookie == 'on') {
		jQuery('#cookie-compliance').hide();
		jQuery('#cookie-compliance-bottom').hide();
	} else {
    		var date = new Date();
    		date.setDate(date.getDate() + expiry);
    		document.cookie = name + '=' + value + ';' + 'expires=' + date.toUTCString() + ';path=/';
    		jQuery('#cookie-compliance').hide();
		jQuery('#cookie-compliance-bottom').hide();
	}
    	return true;
};

Cookie_Compliance.prototype.log = function(answer) {
    jQuery.post(this.options.ajaxurl, { action: 'cookie_compliance_log', answer: answer, nonce: this.options.nonce }, 
    function(response) { 
	compliance = new Cookie_Compliance(cookie_compliance_options);
        if (compliance.enabled() && compliance.check()) {
		if ( !(compliance.isAccepted()) && compliance.options.default != null && compliance.options.default.bottomdenied != null && compliance.options.default.bottomdenied == 'on') {
			compliance.notifybottom();
		}
            	cookie_compliance_head();
            	cookie_compliance_footer();
        }
        else {
		if (compliance.options.default != null && compliance.options.default.deny != null && compliance.options.default.deny == 'on') {
			if (compliance.options.default.nocookie == null) compliance.setCookie(compliance.options.cookie, '0', 365);
			cookie_compliance_head();
            		cookie_compliance_footer();
			if (compliance.options.default.bottomdenied != null && compliance.options.default.bottomdenied == 'on') compliance.notifybottom();
		} else {
			if (compliance.options.default != null && compliance.options.default.bottompopup != null && compliance.options.default.bottompopup == 'on') compliance.notifybottompopup();
            		else compliance.notify();
		}
        }
	});
};

(function( $ ) {
    $(document).ready(function() {
        compliance = new Cookie_Compliance(cookie_compliance_options);
        if (compliance.enabled() && compliance.check()) {
		if ( !(compliance.isAccepted()) && compliance.options.default != null && compliance.options.default.bottomdenied != null && compliance.options.default.bottomdenied == 'on') {
			compliance.notifybottom();
		}
            	cookie_compliance_head();
            	cookie_compliance_footer();
        }
        else {
		if (compliance.options.default != null && compliance.options.default.deny != null && compliance.options.default.deny == 'on') {
			if (compliance.options.default.nocookie == null) compliance.setCookie(compliance.options.cookie, '0', 365);
			cookie_compliance_head();
            		cookie_compliance_footer();
			if (compliance.options.default.bottomdenied != null && compliance.options.default.bottomdenied == 'on') compliance.notifybottom();
		} else {
			if (compliance.options.default != null && compliance.options.default.bottompopup != null && compliance.options.default.bottompopup == 'on') compliance.notifybottompopup();
            		else compliance.notify();
		}
        }
    })
})(jQuery);